org.keycloak.protocol

## Interface ProtocolMapper

- All Superinterfaces:
    ConfiguredProvider, Provider, ProviderFactory<ProtocolMapper>
  All Known Implementing Classes:
    AbstractOIDCProtocolMapper, AbstractPairwiseSubMapper, AbstractSAMLProtocolMapper, AddressMapper, AllowAllDockerProtocolMapper, AllowedWebOriginsProtocolMapper, AudienceProtocolMapper, AudienceResolveProtocolMapper, ClaimsParameterTokenMapper, DeployedScriptOIDCProtocolMapper, DockerAuthV2ProtocolMapper, FullNameMapper, GroupMembershipMapper, GroupMembershipMapper, HardcodedAttributeMapper, HardcodedClaim, HardcodedRole, HardcodedRole, RoleListMapper, RoleNameMapper, RoleNameMapper, SAMLAudienceProtocolMapper, SAMLAudienceResolveProtocolMapper, ScriptBasedMapper, ScriptBasedOIDCProtocolMapper, SHA256PairwiseSubMapper, UserAttributeMapper, UserAttributeNameIdMapper, UserAttributeStatementMapper, UserClientRoleMappingMapper, UserPropertyAttributeStatementMapper, UserPropertyMapper, UserRealmRoleMappingMapper, UserSessionNoteMapper, UserSessionNoteStatementMapper

      public interface ProtocolMapper
      extends Provider, ProviderFactory<ProtocolMapper>, ConfiguredProvider

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDisplayCategory()`
    `String` | `getDisplayType()`
    `default int` | `getPriority()` Priority of this protocolMapper implementation.
    `String` | `getProtocol()`
    `default void` | `validateConfig(KeycloakSession session, RealmModel realm, ProtocolMapperContainerModel client, ProtocolMapperModel mapperModel)` Called when instance of mapperModel is created/updated for this protocolMapper through admin endpoint

    - ### Methods inherited from interface org.keycloak.provider.Provider

      `close`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `close, create, getId, init, order, postInit`

    - ### Methods inherited from interface org.keycloak.provider.ConfiguredProvider

      `getConfigProperties, getHelpText`

- - ### Method Detail

    - #### getProtocol

          String getProtocol()

    - #### getDisplayCategory

          String getDisplayCategory()

    - #### getDisplayType

          String getDisplayType()

    - #### getPriority

          default int getPriority()

      Priority of this protocolMapper implementation. Lower goes first.
      Returns:

    - #### validateConfig

          default void validateConfig(KeycloakSession session,
                                      RealmModel realm,
                                      ProtocolMapperContainerModel client,
                                      ProtocolMapperModel mapperModel)
                               throws ProtocolMapperConfigException

      Called when instance of mapperModel is created/updated for this protocolMapper through admin endpoint
      Parameters:
        `session` -
        `realm` -
        `client` - client or clientTemplate
        `mapperModel` -
      Throws:
        `ProtocolMapperConfigException` - if configuration provided in mapperModel is not valid

Copyright © 2021 JBoss by Red Hat. All rights reserved.